Security Enhanced Linux Reference Policy

# Layer: admin

## Module: kismet

Interfaces

### Description:

IEEE 802.11 wireless LAN sniffer.

### Interfaces:

kismet_admin( domain , role )

##### Summary

All of the rules required to administrate an kismet environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

kismet_append_log( domain )

##### Summary

Append kismet log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

kismet_domtrans( domain )

##### Summary

Execute a domain transition to run kismet.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

kismet_manage_lib( domain )

##### Summary

Create, read, write, and delete kismet lib content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

kismet_manage_lib_files( domain )

##### Summary

Create, read, write, and delete kismet lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

kismet_manage_log( domain )

##### Summary

Create, read, write, and delete kismet log content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

kismet_manage_runtime_files( domain )

##### Summary

Create, read, write, and delete kismet runtime files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

kismet_read_lib_files( domain )

##### Summary

Read kismet lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

kismet_read_log( domain )

##### Summary

Read kismet log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

kismet_read_runtime_files( domain )

##### Summary

Read kismet runtime files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

kismet_role( role , domain )

##### Summary

Role access for kismet.

##### Parameters

Parameter: | Description:
--- | ---
role | Role allowed access.
domain | User domain for the role.

kismet_run( domain , role )

##### Summary

Execute kismet in the kismet domain, and allow the specified role the kismet domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

kismet_search_lib( domain )

##### Summary

Search kismet lib directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return